Folks.GenderDetails.change_gender – folks Reference Manual

# change_gender

## Description:

public virtual async void change_gender (Gender gender) throws PropertyError

Change the contact's gender.

It's preferred to call this rather than setting GenderDetails.gender directly, as this method gives error notification and will only return once the gender has been written to the relevant backing store (or the operation's failed).

## Parameters:

gender | the contact's gender

## Exceptions:

PropertyError | if setting the gender failed

## Since:

0.6.2